Package com.macrofocus.high_d.scatterplotmatrix

# Class AbstractScatterPlotMatrixController<Component,Color,Row,Column>

java.lang.Object
com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixController<Component,Color,Row,Column>

All Implemented Interfaces:
  `ScatterPlotMatrixController<Component,Color,Row,Column>`

Direct Known Subclasses:
  `JavaFXScatterPlotMatrixController`

public abstract class AbstractScatterPlotMatrixController<Component,Color,Row,Column> extends Object implements ScatterPlotMatrixController<Component,Color,Row,Column>
Created by luc on 15/06/16.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `AbstractScatterPlotMatrixController.DefaultMouseListener`

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.scatterplotmatrix.ScatterPlotMatrixController

  `ScatterPlotMatrixController.Mode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractScatterPlotMatrixController()`
  `AbstractScatterPlotMatrixController(ScatterPlotMatrixView<Component,Color,Row,Column> view)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ScatterPlotMatrixController.Mode`
  `getMode()`
  `ScatterPlotMatrixView<Component,Color,Row,Column>`
  `getView()`
  `void`
  `setMode(ScatterPlotMatrixController.Mode mode)`
  `void`
  `setView(ScatterPlotMatrixView<Component,Color,Row,Column> view)`
  Replace the view currently under control.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractScatterPlotMatrixController

    public AbstractScatterPlotMatrixController()

  - ### AbstractScatterPlotMatrixController

    public AbstractScatterPlotMatrixController(ScatterPlotMatrixView<Component,Color,Row,Column> view)

- ## Method Details

  - ### setView

    public void setView(ScatterPlotMatrixView<Component,Color,Row,Column> view)
    Description copied from interface: `ScatterPlotMatrixController`
    Replace the view currently under control.
    Specified by:
      `setView` in interface `ScatterPlotMatrixController<Component,Color,Row,Column>`
    Parameters:
      `view` - the ScatterPlotMatrixView to use

  - ### getView

    public ScatterPlotMatrixView<Component,Color,Row,Column> getView()

  - ### getMode

    public ScatterPlotMatrixController.Mode getMode()
    Specified by:
      `getMode` in interface `ScatterPlotMatrixController<Component,Color,Row,Column>`

  - ### setMode

    public void setMode(ScatterPlotMatrixController.Mode mode)
    Specified by:
      `setMode` in interface `ScatterPlotMatrixController<Component,Color,Row,Column>`